
//////////////////////////////////////////////////////////////////////////////////
// Created on Wednesday March 27 17:10 2024
//
// Description:
// Used to measure the power consumption of the device with no logic or function,
// apart from turning off the 7 segment displays. This is used as the baseline
// for all power measurements.
// 
//
// Notes:
//
// @author: Robert Kent
//////////////////////////////////////////////////////////////////////////////////

module dual_adc_to_dac(

	//////////// LEDR //////////
	output		     [9:0]		LEDR,

	//////////// HEX //////////
	output		     [6:0]		HEX0,
	output		     [6:0]		HEX1
);


// Turn off 7 segment displays
assign HEX0[6:0] = 7'b1111111;
assign HEX1[6:0] = 7'b1111111;

	
endmodule

